<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: src/SimTrackerHitCollection.cc Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SimTrackerHitCollection.cc</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_sim_tracker_hit_collection_8cc.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_sim_tracker_hit_collection_8h.html">eicd/SimTrackerHitCollection.h</a>&quot;</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_m_c_particle_collection_8h.html">eicd/MCParticleCollection.h</a>&quot;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">// standard includes</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;stdexcept&gt;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &lt;iomanip&gt;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_collection.html#a633aa458840af6e87230c57a1c63a378">   11</a></span>&#160;<a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a633aa458840af6e87230c57a1c63a378">SimTrackerHitCollection::SimTrackerHitCollection</a>() : m_isValid(false), m_collectionID(0), m_entries() , m_rel_particle(new std::vector&lt;<a class="code" href="namespaceeic.html">eic</a>::<a class="code" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a>&gt;()),m_data(new <a class="code" href="namespaceeic.html#a0dc6f7dc435d065b623ece6ed34c0b66">SimTrackerHitDataContainer</a>() ) {</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;    m_refCollections.push_back(<span class="keyword">new</span> std::vector&lt;podio::ObjectID&gt;());</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;}</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_collection.html#ae4def301a1041af14c548ba3a134acce">   15</a></span>&#160;<a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#ae4def301a1041af14c548ba3a134acce">SimTrackerHitCollection::~SimTrackerHitCollection</a>() {</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;  <a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a1168d908bf141ae6e2d62520a7e713df">clear</a>();</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;  <span class="keywordflow">if</span> (m_data) <span class="keyword">delete</span> m_data;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; pointer : m_refCollections) { <span class="keywordflow">if</span> (pointer) <span class="keyword">delete</span> pointer; }</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    <span class="keywordflow">if</span> (m_rel_particle != <span class="keyword">nullptr</span>) { <span class="keyword">delete</span> m_rel_particle; }</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;}</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_collection.html#aab791c42c983d7cd42eb8f5c9d0d2205">   23</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a> <a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#aab791c42c983d7cd42eb8f5c9d0d2205">SimTrackerHitCollection::operator[]</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index)<span class="keyword"> const </span>{</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a>(m_entries[index]);</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;}</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_collection.html#a4a5ca2c1759890a6cb149b7245feced4">   27</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a> <a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a4a5ca2c1759890a6cb149b7245feced4">SimTrackerHitCollection::at</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index)<span class="keyword"> const </span>{</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a>(m_entries.at(index));</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;}</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_collection.html#a7b081732e1c2992519aa3fab07fa99db">   31</a></span>&#160;<a class="code" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a> <a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#aab791c42c983d7cd42eb8f5c9d0d2205">SimTrackerHitCollection::operator[]</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index) {</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a>(m_entries[index]);</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;}</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_collection.html#a6db07cc302097071817a62df6a00a0c4">   35</a></span>&#160;<a class="code" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a> <a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a4a5ca2c1759890a6cb149b7245feced4">SimTrackerHitCollection::at</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index) {</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a>(m_entries.at(index));</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;}</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_collection.html#a708cffdc670a2a17ad037d56a1d06e78">   39</a></span>&#160;<span class="keywordtype">size_t</span> <a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a708cffdc670a2a17ad037d56a1d06e78">SimTrackerHitCollection::size</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;  <span class="keywordflow">return</span> m_entries.size();</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;}</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_collection.html#a356612a80f412a73cbe715e3df269869">   43</a></span>&#160;<a class="code" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a> <a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a356612a80f412a73cbe715e3df269869">SimTrackerHitCollection::create</a>(){</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  <span class="keyword">auto</span> obj = m_entries.emplace_back(<span class="keyword">new</span> <a class="code" href="classeic_1_1_sim_tracker_hit_obj.html">SimTrackerHitObj</a>());</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;  obj-&gt;id = {int(m_entries.size()-1),m_collectionID};</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a>(obj);</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;}</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_collection.html#a1168d908bf141ae6e2d62520a7e713df">   50</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a1168d908bf141ae6e2d62520a7e713df">SimTrackerHitCollection::clear</a>(){</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;  m_data-&gt;clear();</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; pointer : m_refCollections) { pointer-&gt;clear(); }</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; item : (*m_rel_particle)) { item.unlink(); }</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    m_rel_particle-&gt;clear();</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; obj : m_entries) { <span class="keyword">delete</span> obj; }</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;  m_entries.clear();</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;}</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_collection.html#a3a5c18696326224004a3ee802f0b7df4">   60</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a3a5c18696326224004a3ee802f0b7df4">SimTrackerHitCollection::prepareForWrite</a>(){</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;  <span class="keyword">auto</span> <a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a708cffdc670a2a17ad037d56a1d06e78">size</a> = m_entries.size();</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;  m_data-&gt;reserve(<a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a708cffdc670a2a17ad037d56a1d06e78">size</a>);</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; obj : m_entries) { m_data-&gt;push_back(obj-&gt;data); }</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; pointer : m_refCollections) { pointer-&gt;clear(); }</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i=0, <a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a708cffdc670a2a17ad037d56a1d06e78">size</a> = m_data-&gt;size(); i != <a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a708cffdc670a2a17ad037d56a1d06e78">size</a>; ++i){</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;  }</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; obj : m_entries) {</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        <span class="keywordflow">if</span> (obj-&gt;m_particle != <span class="keyword">nullptr</span>) {</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;            m_refCollections[0]-&gt;emplace_back(obj-&gt;m_particle-&gt;getObjectID());</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        } <span class="keywordflow">else</span> {</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;            m_refCollections[0]-&gt;push_back({-2,-2});</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        }</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    }</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;}</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_collection.html#a3e190cf7158a8b518924e83b1f4a7bca">   79</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a3e190cf7158a8b518924e83b1f4a7bca">SimTrackerHitCollection::prepareAfterRead</a>(){</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;  <span class="keywordtype">int</span> index = 0;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; data : *m_data){</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="keyword">auto</span> obj = <span class="keyword">new</span> <a class="code" href="classeic_1_1_sim_tracker_hit_obj.html">SimTrackerHitObj</a>({index, m_collectionID}, data);</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    </div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    m_entries.emplace_back(obj);</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    ++index;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;  }</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;  m_isValid = <span class="keyword">true</span>;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;}</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_collection.html#a064d1e9ffba1b9b7f1e5d6954d668f05">   90</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a064d1e9ffba1b9b7f1e5d6954d668f05">SimTrackerHitCollection::setReferences</a>(<span class="keyword">const</span> podio::ICollectionProvider* collectionProvider){</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;  <span class="keywordflow">for</span>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> i = 0, <a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a708cffdc670a2a17ad037d56a1d06e78">size</a> = m_entries.size(); i != <a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a708cffdc670a2a17ad037d56a1d06e78">size</a>; ++i) {</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <span class="keyword">const</span> <span class="keyword">auto</span> <span class="keywordtype">id</span> = (*m_refCollections[0])[i];</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    <span class="keywordflow">if</span> (<span class="keywordtype">id</span>.index != podio::ObjectID::invalid) {</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;      CollectionBase* coll = <span class="keyword">nullptr</span>;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;      collectionProvider-&gt;get(<span class="keywordtype">id</span>.collectionID, coll);</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;      <a class="code" href="classeic_1_1_m_c_particle_collection.html">eic::MCParticleCollection</a>* tmp_coll = <span class="keyword">static_cast&lt;</span><a class="code" href="classeic_1_1_m_c_particle_collection.html">eic::MCParticleCollection</a>*<span class="keyword">&gt;</span>(coll);</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;      m_entries[i]-&gt;m_particle = <span class="keyword">new</span> <a class="code" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a>((*tmp_coll)[<span class="keywordtype">id</span>.index]);</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    } <span class="keywordflow">else</span> {</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;      m_entries[i]-&gt;m_particle = <span class="keyword">nullptr</span>;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    }</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;  }</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;  <span class="keywordflow">return</span> <span class="keyword">true</span>; <span class="comment">//TODO: check success</span></div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;}</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_collection.html#a0b3b607845941c6b704a94cfbf1b6be4">  107</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a0b3b607845941c6b704a94cfbf1b6be4">SimTrackerHitCollection::push_back</a>(<a class="code" href="classeic_1_1_const_sim_tracker_hit.html">ConstSimTrackerHit</a> <span class="keywordtype">object</span>){</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;  <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a708cffdc670a2a17ad037d56a1d06e78">size</a> = m_entries.size();</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;  <span class="keyword">auto</span> obj = <span class="keywordtype">object</span>.m_obj;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;  <span class="keywordflow">if</span> (obj-&gt;id.index == podio::ObjectID::untracked) {</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;      obj-&gt;id = {<a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a708cffdc670a2a17ad037d56a1d06e78">size</a>, m_collectionID};</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;      m_entries.push_back(obj);</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;      </div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;  } <span class="keywordflow">else</span> {</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    <span class="keywordflow">throw</span> std::invalid_argument( <span class="stringliteral">&quot;Object already in a collection. Cannot add it to a second collection &quot;</span> );</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;  }</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;}</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00119"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_collection.html#a910c59979e57c1069a70f063df6cbac7">  119</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a910c59979e57c1069a70f063df6cbac7">SimTrackerHitCollection::setBuffer</a>(<span class="keywordtype">void</span>* address){</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;  <span class="keywordflow">if</span> (m_data) <span class="keyword">delete</span> m_data;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;  m_data = <span class="keyword">static_cast&lt;</span><a class="code" href="namespaceeic.html#a0dc6f7dc435d065b623ece6ed34c0b66">SimTrackerHitDataContainer</a>*<span class="keyword">&gt;</span>(address);</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;}</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;</div><div class="line"><a name="l00125"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_collection_iterator.html#ab49a5cd65ab9c9a63525ad86ac09e6bb">  125</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a> <a class="code" href="classeic_1_1_sim_tracker_hit_collection_iterator.html#ab49a5cd65ab9c9a63525ad86ac09e6bb">SimTrackerHitCollectionIterator::operator* </a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;  m_object.m_obj = (*m_collection)[m_index];</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;  <span class="keywordflow">return</span> m_object;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;}</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_collection_iterator.html#a2cd1a828a3c3f221069af504dc471b24">  130</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a>* <a class="code" href="classeic_1_1_sim_tracker_hit_collection_iterator.html#a2cd1a828a3c3f221069af504dc471b24">SimTrackerHitCollectionIterator::operator-&gt; </a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;  m_object.m_obj = (*m_collection)[m_index];</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;  <span class="keywordflow">return</span> &amp;m_object;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;}</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;</div><div class="line"><a name="l00135"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_collection_iterator.html#a827d69ba39240be43dd7163373a7ae27">  135</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_sim_tracker_hit_collection_iterator.html">SimTrackerHitCollectionIterator</a>&amp; <a class="code" href="classeic_1_1_sim_tracker_hit_collection_iterator.html#a827d69ba39240be43dd7163373a7ae27">SimTrackerHitCollectionIterator::operator++</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;  ++m_index;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;  <span class="keywordflow">return</span> *<span class="keyword">this</span>;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;}</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00140"></a><span class="lineno"><a class="line" href="namespaceeic.html#a5178bf07194fa23b2a344611d8e6098b">  140</a></span>&#160;std::ostream&amp; <a class="code" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">operator&lt;&lt;</a>( std::ostream&amp; o,<span class="keyword">const</span> <a class="code" href="classeic_1_1_sim_tracker_hit_collection.html">SimTrackerHitCollection</a>&amp; v){</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;  <span class="keyword">const</span> std::ios::fmtflags old_flags = o.flags();</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot;id:         cellID0 :     cellID1 :     time :        pathLength :  EDep :        &quot;</span> &lt;&lt; std::endl;</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">size_t</span> i = 0; i &lt; v.<a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a708cffdc670a2a17ad037d56a1d06e78">size</a>(); ++i) {</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    o &lt;&lt; std::scientific &lt;&lt; std::showpos</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].id() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;      &lt;&lt; std::setw(14) &lt;&lt; v[i].<a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a6d983f1a2dc96eed0f6ab05e810a3ae1">cellID0</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;      &lt;&lt; std::setw(14) &lt;&lt; v[i].<a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a416cb16c98a7f64d3fe5faeaa285cc32">cellID1</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;      &lt;&lt; std::setw(14) &lt;&lt; v[i].<a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a2ac027eafe00b83a2dfbe0e736e5fefc">time</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;      &lt;&lt; std::setw(14) &lt;&lt; v[i].<a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a46e317c1f98c53cfc1ca3e22322398a1">pathLength</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;      &lt;&lt; std::setw(14) &lt;&lt; v[i].<a class="code" href="classeic_1_1_sim_tracker_hit_collection.html#a2894ad10ca67f9185680b0ba0dbfea68">EDep</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;      &lt;&lt; std::endl;</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;    o &lt;&lt; <span class="stringliteral">&quot;particle     : &quot;</span>;</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;    o &lt;&lt; v[i].particle().id() &lt;&lt; std::endl;</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;  }</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;  o.flags(old_flags);</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;  <span class="keywordflow">return</span> o;</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;}</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;} <span class="comment">// namespace eic</span></div><div class="ttc" id="classeic_1_1_const_sim_tracker_hit_html"><div class="ttname"><a href="classeic_1_1_const_sim_tracker_hit.html">eic::ConstSimTrackerHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_const_8h_source.html#l00031">SimTrackerHitConst.h:31</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_collection_html_ae4def301a1041af14c548ba3a134acce"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_collection.html#ae4def301a1041af14c548ba3a134acce">eic::SimTrackerHitCollection::~SimTrackerHitCollection</a></div><div class="ttdeci">~SimTrackerHitCollection()</div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_collection_8cc_source.html#l00015">SimTrackerHitCollection.cc:15</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_collection_html_a3e190cf7158a8b518924e83b1f4a7bca"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_collection.html#a3e190cf7158a8b518924e83b1f4a7bca">eic::SimTrackerHitCollection::prepareAfterRead</a></div><div class="ttdeci">void prepareAfterRead() override final</div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_collection_8cc_source.html#l00079">SimTrackerHitCollection.cc:79</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_collection_html_a416cb16c98a7f64d3fe5faeaa285cc32"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_collection.html#a416cb16c98a7f64d3fe5faeaa285cc32">eic::SimTrackerHitCollection::cellID1</a></div><div class="ttdeci">const std::array&lt; long long, arraysize &gt; cellID1() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_collection_8h_source.html#l00182">SimTrackerHitCollection.h:182</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a></div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8h_source.html#l00030">MCParticleConst.h:30</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_collection_html_a46e317c1f98c53cfc1ca3e22322398a1"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_collection.html#a46e317c1f98c53cfc1ca3e22322398a1">eic::SimTrackerHitCollection::pathLength</a></div><div class="ttdeci">const std::array&lt; float, arraysize &gt; pathLength() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_collection_8h_source.html#l00209">SimTrackerHitCollection.h:209</a></div></div>
<div class="ttc" id="_sim_tracker_hit_collection_8h_html"><div class="ttname"><a href="_sim_tracker_hit_collection_8h.html">SimTrackerHitCollection.h</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_collection_html_a708cffdc670a2a17ad037d56a1d06e78"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_collection.html#a708cffdc670a2a17ad037d56a1d06e78">eic::SimTrackerHitCollection::size</a></div><div class="ttdeci">size_t size() const override final</div><div class="ttdoc">number of elements in the collection </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_collection_8cc_source.html#l00039">SimTrackerHitCollection.cc:39</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_collection_html"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_collection.html">eic::SimTrackerHitCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_collection_8h_source.html#l00050">SimTrackerHitCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_collection_html_a2894ad10ca67f9185680b0ba0dbfea68"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_collection.html#a2894ad10ca67f9185680b0ba0dbfea68">eic::SimTrackerHitCollection::EDep</a></div><div class="ttdeci">const std::array&lt; float, arraysize &gt; EDep() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_collection_8h_source.html#l00218">SimTrackerHitCollection.h:218</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_html"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit.html">eic::SimTrackerHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_8h_source.html#l00034">SimTrackerHit.h:34</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_collection_html_a3a5c18696326224004a3ee802f0b7df4"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_collection.html#a3a5c18696326224004a3ee802f0b7df4">eic::SimTrackerHitCollection::prepareForWrite</a></div><div class="ttdeci">void prepareForWrite() override final</div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_collection_8cc_source.html#l00060">SimTrackerHitCollection.cc:60</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_collection_html_a633aa458840af6e87230c57a1c63a378"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_collection.html#a633aa458840af6e87230c57a1c63a378">eic::SimTrackerHitCollection::SimTrackerHitCollection</a></div><div class="ttdeci">SimTrackerHitCollection()</div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_collection_8cc_source.html#l00011">SimTrackerHitCollection.cc:11</a></div></div>
<div class="ttc" id="namespaceeic_html_a207cb16b7a2df08e82d05c73c144487f"><div class="ttname"><a href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00098">CalorimeterHit.cc:98</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_collection_html_a2ac027eafe00b83a2dfbe0e736e5fefc"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_collection.html#a2ac027eafe00b83a2dfbe0e736e5fefc">eic::SimTrackerHitCollection::time</a></div><div class="ttdeci">const std::array&lt; float, arraysize &gt; time() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_collection_8h_source.html#l00200">SimTrackerHitCollection.h:200</a></div></div>
<div class="ttc" id="namespaceeic_html_a0dc6f7dc435d065b623ece6ed34c0b66"><div class="ttname"><a href="namespaceeic.html#a0dc6f7dc435d065b623ece6ed34c0b66">eic::SimTrackerHitDataContainer</a></div><div class="ttdeci">std::vector&lt; SimTrackerHitData &gt; SimTrackerHitDataContainer</div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_collection_8h_source.html#l00024">SimTrackerHitCollection.h:24</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_collection_html_a064d1e9ffba1b9b7f1e5d6954d668f05"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_collection.html#a064d1e9ffba1b9b7f1e5d6954d668f05">eic::SimTrackerHitCollection::setReferences</a></div><div class="ttdeci">bool setReferences(const podio::ICollectionProvider *collectionProvider) override final</div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_collection_8cc_source.html#l00090">SimTrackerHitCollection.cc:90</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_collection_html_a1168d908bf141ae6e2d62520a7e713df"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_collection.html#a1168d908bf141ae6e2d62520a7e713df">eic::SimTrackerHitCollection::clear</a></div><div class="ttdeci">void clear() override final</div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_collection_8cc_source.html#l00050">SimTrackerHitCollection.cc:50</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_collection_iterator.html">eic::SimTrackerHitCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_collection_8h_source.html#l00027">SimTrackerHitCollection.h:27</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_collection_html"><div class="ttname"><a href="classeic_1_1_m_c_particle_collection.html">eic::MCParticleCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_collection_8h_source.html#l00050">MCParticleCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_collection_html_a0b3b607845941c6b704a94cfbf1b6be4"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_collection.html#a0b3b607845941c6b704a94cfbf1b6be4">eic::SimTrackerHitCollection::push_back</a></div><div class="ttdeci">void push_back(ConstSimTrackerHit object)</div><div class="ttdoc">Append object to the collection. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_collection_8cc_source.html#l00107">SimTrackerHitCollection.cc:107</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_collection_html_a6d983f1a2dc96eed0f6ab05e810a3ae1"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_collection.html#a6d983f1a2dc96eed0f6ab05e810a3ae1">eic::SimTrackerHitCollection::cellID0</a></div><div class="ttdeci">const std::array&lt; long long, arraysize &gt; cellID0() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_collection_8h_source.html#l00173">SimTrackerHitCollection.h:173</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_collection_html_aab791c42c983d7cd42eb8f5c9d0d2205"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_collection.html#aab791c42c983d7cd42eb8f5c9d0d2205">eic::SimTrackerHitCollection::operator[]</a></div><div class="ttdeci">const SimTrackerHit operator[](unsigned int index) const</div><div class="ttdoc">Returns the const object of given index. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_collection_8cc_source.html#l00023">SimTrackerHitCollection.cc:23</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00011">CalorimeterHit.cc:11</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_collection_iterator_html_a827d69ba39240be43dd7163373a7ae27"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_collection_iterator.html#a827d69ba39240be43dd7163373a7ae27">eic::SimTrackerHitCollectionIterator::operator++</a></div><div class="ttdeci">const SimTrackerHitCollectionIterator &amp; operator++() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_collection_8cc_source.html#l00135">SimTrackerHitCollection.cc:135</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_collection_iterator_html_a2cd1a828a3c3f221069af504dc471b24"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_collection_iterator.html#a2cd1a828a3c3f221069af504dc471b24">eic::SimTrackerHitCollectionIterator::operator-&gt;</a></div><div class="ttdeci">const SimTrackerHit * operator-&gt;() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_collection_8cc_source.html#l00130">SimTrackerHitCollection.cc:130</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_obj_html"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_obj.html">eic::SimTrackerHitObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_obj_8h_source.html#l00027">SimTrackerHitObj.h:27</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_collection_html_a910c59979e57c1069a70f063df6cbac7"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_collection.html#a910c59979e57c1069a70f063df6cbac7">eic::SimTrackerHitCollection::setBuffer</a></div><div class="ttdeci">void setBuffer(void *address) override final</div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_collection_8cc_source.html#l00119">SimTrackerHitCollection.cc:119</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_collection_html_a356612a80f412a73cbe715e3df269869"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_collection.html#a356612a80f412a73cbe715e3df269869">eic::SimTrackerHitCollection::create</a></div><div class="ttdeci">SimTrackerHit create()</div><div class="ttdoc">Append a new object to the collection, and return this object. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_collection_8cc_source.html#l00043">SimTrackerHitCollection.cc:43</a></div></div>
<div class="ttc" id="_m_c_particle_collection_8h_html"><div class="ttname"><a href="_m_c_particle_collection_8h.html">MCParticleCollection.h</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_collection_iterator_html_ab49a5cd65ab9c9a63525ad86ac09e6bb"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_collection_iterator.html#ab49a5cd65ab9c9a63525ad86ac09e6bb">eic::SimTrackerHitCollectionIterator::operator*</a></div><div class="ttdeci">const SimTrackerHit operator*() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_collection_8cc_source.html#l00125">SimTrackerHitCollection.cc:125</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_collection_html_a4a5ca2c1759890a6cb149b7245feced4"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_collection.html#a4a5ca2c1759890a6cb149b7245feced4">eic::SimTrackerHitCollection::at</a></div><div class="ttdeci">const SimTrackerHit at(unsigned int index) const</div><div class="ttdoc">Returns the const object of given index. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_collection_8cc_source.html#l00027">SimTrackerHitCollection.cc:27</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
